Articles in this section

How to use HTML Templates and CSS in the organization chart using the HTML node in React Diagram?

This article explains how to use HTML templates and CSS in the organization chart using the HTML node in React Diagram. Using Syncfusion® React Diagram, you can create automatic layouts, such as organizational charts, that visually represent the structure of an organization and its relationships. In this blog, we will demonstrate how to create an organizational chart with HTML nodes, allowing for customized styling of node content.

To create an organizational chart, you’ll need to set the layout type as OrganizationalChart. The following code example demonstrates how to achieve this:

To create an automatic layout with html node:

To implement an automatic layout, define the layout property of the diagram and specify the desired layout type. Here’s a code snippet demonstrating this:

       //Configrues organizational chart layout
       layout={{
         type: 'OrganizationalChart',
         verticalSpacing: 70,
         horizontalSpacing: 70,
         margin: { top: 20 },
         getLayoutInfo: (node, tree) => {
           if (!tree.hasSubTree) {
             tree.orientation = 'Vertical';
             tree.type = 'Right';
           }
         },
       }}

To define the layout, it’s essential to set the data source using the dataSourceSettings property of the diagram. Here’s a code snippet demonstrating this:

       //Sets the parent and child relationship of DataSource.
       dataSourceSettings={{
         id: 'Id',
         parentId: 'ReportingPerson',
         dataSource: new DataManager(data),
       }}

The nodeTemplate function customizes the appearance and content of each node based on its associated data. Please find the example below.

function nodeTemplate(data) {
   let backgroundColor = '#DADAD8';
   if (
     data.data.Designation === 'Managing Director' ||
     data.data.ReportingPerson === 'parent'
   ) {
     backgroundColor = 'Lightblue';
   } else if (
     data.data.ReportingPerson === 57 ||
     data.data.ReportingPerson === 29 ||
     data.data.ReportingPerson === 43 ||
     data.data.ReportingPerson === 89 ||
     data.data.ReportingPerson === 52 ||
     data.data.ReportingPerson === 68
   ) {
     backgroundColor = 'lightgreen';
   }
   return (
     <div
       style={{
         width: '100%',
         height: '100%',
         backgroundColor: backgroundColor,
         display: 'flex',
         alignItems: 'center',
         justifyContent: 'center',
       }}
     >
       <div
         style={{
           display: 'flex',
           flexDirection: 'column',
           alignItems: 'center',
         }}
       >
         <img
           src={data.data.ImageUrl}
           style={{
             width: '40px',
             height: '40px',
             objectFit: 'cover',
             borderRadius: '50%',
             marginBottom: '30px',
           }}
           alt="Profile"
         />
         <div
           style={{
             color: 'black',
             fontSize: '14px',
             marginBottom: '30px',
             textAlign: 'Left',
             marginTop: '10px',
           }}
         >
           <div style={{ fontWeight: 500 }}>Name: {data.data.Name}</div>
           <div>Designation: {data.data.Designation}</div>
         </div>
       </div>
     </div>
   );
 }

In the code example provided, the background color of the node is dynamically determined using conditional logic based on the node’s designation and reporting person data properties.

If the designation is “Managing Director” or the reporting person is “parent”, the background color is set to ‘lightblue’. Alternatively, if the reporting person matches specific identifiers, the background color is set to ‘lightgreen’. The template also includes an image representing the node’s profile, along with the name and designation displayed in a column layout.

Overall, the flexibility offered by the nodeTemplate function allows for effective customization of both the appearance and content of nodes to suit specific requirements.

Sample:

Refer to the working sample for additional details and implementation: Click here for sample

Conclusion

We hope you enjoyed learning about how to use HTML templates and CSS in the organization chart using the HTML node in React Diagram.

You can refer to our React Diagram feature tour page to learn about its other groundbreaking feature representations and documentation. You can also explore our React Diagram example to understand how to present and manipulate data.

For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion®, you can try our 30-day free trial to check out our React Spreadsheet and other components.

If you have any queries or require clarifications, please let us know in comments below. You can also contact us through our support forums, BoldDesk Support, or feedback portal. We are always happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied

Articles in this section

How to use HTML templates and CSS in the organization chart using the HTML node in Vue Diagram?

Using Syncfusion® Vue Diagram, you can create automatic layouts, such as organizational charts, that visually represent the structure of an organization and its relationships. This article explains how to create an organizational chart with HTML nodes, allowing for customized styling of node content.

To create an organizational chart, you’ll need to set the layout type as OrganizationalChart. The following code example demonstrates how to achieve this:

To create an automatic layout with HTML node:

To implement an automatic layout, define the layout property of the diagram and specify the desired layout type. Here’s a code snippet demonstrating this:

 layout: {
       type: 'OrganizationalChart',
       margin: { top: 20 },
       horizontalSpacing: 70,
       verticalSpacing: 80,
       getLayoutInfo: (node, tree) => {
         if (!tree.hasSubTree) {
           tree.orientation = 'Vertical';
           tree.type = 'Right';
         }
       },
     },

To define the layout, it’s essential to set the data source using the dataSourceSettings property of the diagram. Here’s a code snippet demonstrating this:

// Sets the parent and child relationship of DataSource.
     dataSourceSettings: {
       id: 'Id',
       parentId: 'ReportingPerson',
       dataSource: new DataManager(data),
     },

The nodeTemplate for the HTML node can be defined as shown below.

<template>
<div>
 <div :style="{ width: '100%', height: '100%', backgroundColor: nodeBackgroundColor, display: 'flex', alignItems: 'center', justifyContent: 'center' }">
   <div :style="{ display: 'flex', flexDirection: 'column', alignItems: 'center' }">
     <img :src="data.data.ImageUrl" :style="{ width: '40px', height: '40px', objectFit: 'cover', borderRadius: '50%', marginBottom: '35px', marginTop: '-25px' }" alt="Profile" />
     <div :style="{ color: 'black', fontSize: '14px', textAlign: 'left', marginTop: '10px' }">
       <div style="font-weight: 500">Name: {{ data.data.Name }}</div>
       <div>Designation: {{ data.data.Designation }}</div>
     </div>
   </div>
 </div>
</div>
</template>

<script>
export default {
 components: {},
 data() {
   return {};
 },
 computed: {
   nodeBackgroundColor() {
     if (
       this.data.data.Designation === 'Managing Director' ||
       this.data.data.ReportingPerson === 'parent'
     ) {
       return 'Lightblue';
     } else if (
       [57, 29, 43, 89, 52, 68].includes(this.data.data.ReportingPerson)
     ) {
       return 'lightgreen';
     } else {
       return '#DADAD8';
     }
   },
 },
};
</script>

In the code example provided, the background color of the node is dynamically determined using conditional logic based on the node’s Designation and ReportingPerson data properties.

If the Designation is “Managing Director” or the ReportingPerson is “parent,” the background color is set to ‘Lightblue.’ Alternatively, if the ReportingPerson matches specific identifiers, the background color is set to ‘lightgreen.’ The template also includes an image representing the node’s profile, along with the name and designation displayed in a column layout.

Overall, the flexibility offered by the nodeTemplate function allows for effective customization of both the appearance and content of nodes to suit specific requirements.

Sample:

Refer to the working sample for additional details and implementation: Click here for sample

Conclusion

We hope you enjoyed learning about how to use HTML templates and CSS in the organizational chart using the HTML node in Vue Diagram.

You can refer to our Vue Diagram feature tour page to learn about its other groundbreaking feature representations and documentation, as well as how to quickly get started with configuration specifications. You can also explore our Vue Diagram example to understand how to create and manipulate data.

For current customers, you can check out our components from the License and Downloads page. If you are new to Syncfusion®, you can try our 30-day free trial to check out our other controls.

If you have any queries or require clarifications, please let us know in the comments section below. You can also contact us through our support forums, BoldDesk Support, or feedback portal. We are always happy to assist you!

Did you find this information helpful?
Yes
No
Help us improve this page
Please provide feedback or comments
Comments (0)
Access denied
Access denied